using System;
using System.Collections;
using Server;

namespace Server.Mobiles
{
	public class HealerGuildmaster : BaseGuildmaster
	{
		public override NpcGuild NpcGuild{ get{ return NpcGuild.HealersGuild; } }

		[Constructable]
		public HealerGuildmaster() : base( "healer" )
		{
			SetSkill( SkillName.Healing, 90.0, 100.0 );
			SetSkill( SkillName.MagicResist, 75.0, 98.0 );
			SetSkill( SkillName.HandToHand, 60.0, 83.0 );
			SetSkill( SkillName.Bludgeoning, 36.0, 68.0 );
		}

		public override void InitSBInfo()
		{
			SBInfos.Add( new SBHealer() );
			SBInfos.Add( new SBGuildHealer() );
		}

		public override void InitOutfit()
		{
			base.InitOutfit();
			AddItem( new Server.Items.GnarledStaff() );
		}

		public HealerGuildmaster( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}